# Generated from euclidean_sequencer-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name euclidean_sequencer

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Generates sequences of hits spaced as evenly as possible     across given pulses
License: MIT
URL: https://gitlab.com/Mattbot/gem-euclidean-sequencer
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Generates sequences of hits spaced as evenly as possible     across given
pulses using the Euclidean algorithm.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/build_and_push_gem
%{_bindir}/console
%{_bindir}/euclidean_sequencer
%{_bindir}/setup
%exclude %{gem_instdir}/.envrc
%{gem_instdir}/.envrc.example
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/euclidean_sequencer.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.2-1
- Initial package
